Bug 1717248 - Satellite 6.5 Unable to provision new VMs on VMWare if datacenters are in a folder
Summary: Satellite 6.5 Unable to provision new VMs on VMWare if datacenters are in a f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Chris Roberts
QA Contact: Sanket Jagtap
URL:
Whiteboard:
: 1717246 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-05 01:28 UTC by Alexey Masolov
Modified: 2019-11-07 12:04 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-fog-vsphere-3.2.0
Doc Type: Known Issue
Doc Text:
Satellite 6.5 is unable to provision new VMs on VMWare if data centers are in a folder.
Clone Of:
: 1756053 (view as bug list)
Environment:
Last Closed: 2019-10-22 12:47:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25849 Normal Resolved VMware compute resource cannot find VM folders when datacenters are themselves nested in folders 2019-12-17 13:52:31 UTC
Github https://github.com/fog fog-vsphere pull 214 None None None 2019-06-06 13:57:22 UTC
Red Hat Knowledge Base (Solution) 4223181 None None None 2019-06-16 07:52:58 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:46 UTC

Description Alexey Masolov 2019-06-05 01:28:01 UTC
Description of problem:
Unable to provision new VMs on vmware vcenter after upgrading to Satellite 6.5

Version-Release number of selected component (if applicable):
Satellite 6.5

How reproducible:
100%

Steps to Reproduce:
1. Put a datacenter in a folder in VCenter
2. Add a VMWare compute resource or update an exisiting one
3. Provision a new VM

Actual results:
"Failed to create a compute venter new (VMware) instance gina-meany.anzlab.bne.redhat.com: undefined method `sub' for nil:NilClass"

Expected results:
Provisioning is successfull 

Additional info:

Comment 3 Alexey Masolov 2019-06-05 01:28:51 UTC
2019-06-05T10:21:25 [I|app|410c69bf] Adding Compute instance for gina-meany.anzlab.bne.redhat.com
2019-06-05T10:21:25 [W|app|410c69bf] Failed to create a compute venter new (VMware) instance gina-meany.anzlab.bne.redhat.com: undefined method `sub' for nil:NilClass

NoMethodError: undefined method `sub' for nil:NilClass
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-2.4.0/lib/fog/vsphere/requests/compute/get_folder.rb:33:in `get_raw_folder'
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-2.4.0/lib/fog/vsphere/requests/compute/get_folder.rb:49:in `get_raw_vmfolder'
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-2.4.0/lib/fog/vsphere/requests/compute/create_vm.rb:29:in `create_vm'
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-2.4.0/lib/fog/vsphere/models/compute/server.rb:300:in `save'
/usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb:454:in `create_vm'
/usr/share/foreman/app/models/concerns/orchestration/compute.rb:87:in `setCompute'
/usr/share/foreman/app/models/concerns/orchestration.rb:222:in `execute'
/usr/share/foreman/app/models/concerns/orchestration.rb:145:in `block in process'
/usr/share/foreman/app/models/concerns/orchestration.rb:137:in `each'
/usr/share/foreman/app/models/concerns/orchestration.rb:137:in `process'
/usr/share/foreman/app/models/concerns/orchestration.rb:44:in `around_save_orchestration'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in `block in run_callbacks'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:136:in `run_callbacks'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:816:in `_run_save_callbacks'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/callbacks.rb:342:in `create_or_update'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/persistence.rb:275:in `save'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/validations.rb:46:in `save'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:310:in `block (2 levels) in save'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:387:in `block in with_transaction_returning_status'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/database_statements.rb:254:in `block in transaction'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/transaction.rb:239:in `block in within_new_transaction'
/opt/rh/rh-ruby25/root/usr/share/ruby/monitor.rb:226:in `mon_synchronize'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/transaction.rb:236:in `within_new_transaction'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/database_statements.rb:254:in `transaction'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:212:in `transaction'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:385:in `with_transaction_returning_status'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:310:in `block in save'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:325:in `rollback_active_record_state!'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:309:in `save'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/suppressor.rb:44:in `save'
/usr/share/foreman/app/models/concerns/foreman/sti.rb:26:in `save'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.6/app/models/foreman_tasks/concerns/action_triggering.rb:27:in `block in save'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.6/app/models/foreman_tasks/concerns/action_triggering.rb:114:in `dynflow_task_wrap'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.6/app/models/foreman_tasks/concerns/action_triggering.rb:27:in `save'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.6/app/models/foreman_tasks/concerns/action_triggering.rb:27:in `block in save'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.6/app/models/foreman_tasks/concerns/action_triggering.rb:127:in `dynflow_task_wrap'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.6/app/models/foreman_tasks/concerns/action_triggering.rb:27:in `save'
/usr/share/foreman/app/controllers/hosts_controller.rb:104:in `create'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/basic_implicit_render.rb:6:in `send_action'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/abstract_controller/base.rb:194:in `process_action'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/rendering.rb:30:in `process_action'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/abstract_controller/callbacks.rb:42:in `block in process_action'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:109:in `block in run_callbacks'
/usr/share/foreman/app/controllers/concerns/application_shared.rb:15:in `set_timezone'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in `block in run_callbacks'
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in `block in run_callbacks'
/usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `set_topbar_sweeper_controller'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in `block in run_callbacks'
/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.7.1/lib/audited/sweeper.rb:14:in `around'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in `block in run_callbacks'
/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.7.1/lib/audited/sweeper.rb:14:in `around'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in `block in run_callbacks'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:136:in `run_callbacks'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/abstract_controller/callbacks.rb:41:in `process_action'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/rescue.rb:22:in `process_action'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/instrumentation.rb:34:in `block in process_action'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/notifications.rb:168:in `block in instrument'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/notifications/instrumenter.rb:23:in `instrument'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/notifications.rb:168:in `instrument'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/instrumentation.rb:32:in `process_action'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/params_wrapper.rb:256:in `process_action'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/railties/controller_runtime.rb:24:in `process_action'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/abstract_controller/base.rb:134:in `process'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionview-5.2.1/lib/action_view/rendering.rb:32:in `process'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal.rb:191:in `dispatch'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal.rb:252:in `dispatch'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/routing/route_set.rb:52:in `dispatch'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/routing/route_set.rb:34:in `serve'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/journey/router.rb:52:in `block in serve'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/journey/router.rb:35:in `each'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/journey/router.rb:35:in `serve'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/routing/route_set.rb:840:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.14/lib/apipie/static_dispatcher.rb:65:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.14/lib/apipie/extractor/recorder.rb:137:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/usr/share/foreman/lib/middleware/telemetry.rb:9:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.14/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'
/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:8:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/tempfile_reaper.rb:15:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/etag.rb:25:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/conditional_get.rb:38:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/head.rb:12:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/http/content_security_policy.rb:18:in `call'
/usr/share/foreman/lib/middleware/logging_context.rb:23:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/session/abstract/id.rb:232:in `context'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/session/abstract/id.rb:226:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/cookies.rb:670:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:98:in `run_callbacks'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/callbacks.rb:26:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/debug_exceptions.rb:61:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/show_exceptions.rb:33:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/rack/logger.rb:38:in `call_app'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/rack/logger.rb:28:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails/quiet_assets.rb:13:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/remote_ip.rb:81:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/request_id.rb:27:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.46/lib/katello/prevent_json_parsing.rb:12:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/method_override.rb:22:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/runtime.rb:22:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/cache/strategy/local_cache_middleware.rb:29:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/executor.rb:14:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:127:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/sendfile.rb:111:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-6.0.0/lib/secure_headers/middleware.rb:13:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/engine.rb:524:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/railtie.rb:190:in `public_send'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/railtie.rb:190:in `method_missing'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/urlmap.rb:68:in `block in call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/urlmap.rb:53:in `each'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/urlmap.rb:53:in `call'
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:in `block in create_with_logging_context'
2019-06-05T10:21:25 [W|app|410c69bf] Rolling back due to a problem: [#<Orchestration::Task:0x0000000011307e68 @name="Set up compute instance gina-meany.anzlab.bne.redhat.com", @id="Set up compute instance gina-meany.anzlab.bne.redhat.com", @status="failed", @priority=2, @action=[#<Host::Managed id: nil, name: "gina-meany.anzlab.bne.redhat.com", last_compile: nil, last_report: nil, updated_at: nil, created_at: nil, root_pass: "$5$rfqy2i0H$Jx8d9iHpfAnc0QRkEUio.3P79vyQ888LlkcwKt...", architecture_id: 1, operatingsystem_id: 6, environment_id: 4, ptable_id: 61, medium_id: nil, build: true, comment: "", disk: "", installed_at: nil, model_id: nil, hostgroup_id: 6, owner_id: 18, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1, managed: true, use_image: nil, image_file: nil, uuid: nil, compute_resource_id: 16, puppet_proxy_id: 1, certname: nil, image_id: nil, organization_id: 1, location_id: 2, type: "Host::Managed", otp: nil, realm_id: 1, compute_profile_id: 1, provision_method: "build", grub_pass: "$5$rfqy2i0H$Jx8d9iHpfAnc0QRkEUio.3P79vyQ888LlkcwKt...", discovery_rule_id: nil, global_status: 0, lookup_value_matcher: "fqdn=gina-meany.anzlab.bne.redhat.com", openscap_proxy_id: 1, expired_on: nil, pxe_loader: "PXELinux BIOS", initiated_at: nil, build_errors: nil>, :setCompute], @created=1559694084.987138, @timestamp=2019-06-05 00:21:25 UTC>]

Comment 4 Alexey Masolov 2019-06-05 01:31:38 UTC
I think it's complaining because the 'path' attribute to the VM folder is empty and I can confirm that it's not possible to choose it with Satellite 6.5 and Vmware with DCs located in a folder (in webui). If you check compute profiles attributes then we will find that 'path' doesn't exist for that profile. That's why Satellite is complaining about 'sub'

The DC is not in a folder:

foreman=# select * from compute_attributes where (compute_profile_id = 1) and (compute_resource_id = 9);
 id | compute_profile_id | compute_resource_id |           name            |                                  vm_attrs                                  |         created_at         |         updated_at
----+--------------------+---------------------+---------------------------+----------------------------------------------------------------------------+----------------------------+----------------------------
  3 |                  1 |                   9 | 1 CPUs and 2048 MB memory | --- !ruby/hash:ActiveSupport::HashWithIndifferentAccess                   +| 2016-12-21 22:08:15.021621 | 2017-02-28 04:32:58.542253
...
|
    |                    |                     |                           | path: "/Datacenters/Datacenter/vm"                                        +|                            
...


The DC is in a folder:


foreman=# select * from compute_attributes where (compute_profile_id = 1) and (compute_resource_id = 16);
 id | compute_profile_id | compute_resource_id |           name            |                                  vm_attrs                                  |         created_at         |         updated_at
----+--------------------+---------------------+---------------------------+----------------------------------------------------------------------------+----------------------------+----------------------------
  9 |                  1 |                  16 | 1 CPUs and 2048 MB memory | --- !ruby/hash:ActiveSupport::HashWithIndifferentAccess                   +| 2019-06-05 00:45:22.117258 | 2019-06-05 00:45:22.117258
    |                    |                     |                           | cpus: '1'                                                                 +|                            |
    |                    |                     |                           | corespersocket: '1'                                                       +|                            |
    |                    |                     |                           | memory_mb: '2048'                                                         +|                            |
    |                    |                     |                           | firmware: automatic                                                       +|                            |
    |                    |                     |                           | cluster: Cluster                                                          +|                            |
    |                    |                     |                           | resource_pool: Resources                                                  +|                            |
    |                    |                     |                           | guest_id: otherGuest                                                      +|                            |
    |                    |                     |                           | hardware_version: Default                                                 +|                            |
    |                    |                     |                           | memoryHotAddEnabled: '0'                                                  +|                            |
    |                    |                     |                           | cpuHotAddEnabled: '0'                                                     +|                            |
    |                    |                     |                           | add_cdrom: '0'                                                            +|                            |
    |                    |                     |                           | annotation: ''                                                            +|                            |
    |                    |                     |                           | scsi_controllers:                                                         +|                            |
    |                    |                     |                           | - !ruby/hash:ActiveSupport::HashWithIndifferentAccess                     +|                            |
    |                    |                     |                           |   type: VirtualLsiLogicController                                         +|                            |
    |                    |                     |                           |   key: 1000                                                               +|                            |
    |                    |                     |                           | interfaces_attributes: !ruby/hash:ActiveSupport::HashWithIndifferentAccess+|                            |
    |                    |                     |                           |   '0': !ruby/hash:ActiveSupport::HashWithIndifferentAccess                +|                            |
    |                    |                     |                           |     type: VirtualE1000                                                    +|                            |
    |                    |                     |                           |     network: network-30                                                   +|                            |
    |                    |                     |                           | volumes_attributes: !ruby/hash:ActiveSupport::HashWithIndifferentAccess   +|                            |
    |                    |                     |                           |   '0': !ruby/hash:ActiveSupport::HashWithIndifferentAccess                +|                            |
    |                    |                     |                           |     thin: true                                                            +|                            |
    |                    |                     |                           |     name: Hard disk                                                       +|                            |
    |                    |                     |                           |     mode: persistent                                                      +|                            |
    |                    |                     |                           |     controller_key: 1000                                                  +|                            |
    |                    |                     |                           |     size: 10485760                                                        +|                            |
    |                    |                     |                           |     size_gb: 10                                                           +|                            |
    |                    |                     |                           |     datastore: datastore1                                                 +|                            |
    |                    |                     |                           |     storage_pod:                                                          +|                            |
    |                    |                     |                           |                                                                            |                            |
(1 row)

Comment 6 Alexey Masolov 2019-06-05 03:33:34 UTC
Rolled back this commit from my Satellite 6.5 to make it work again

https://github.com/fog/fog-vsphere/commit/b841e61740f0f3dd4d53291a2c497977c804039f#diff-6fd61abf41c0aa329f28f0f589f8456c

Comment 12 Alexey Masolov 2019-06-07 12:18:48 UTC
*** Bug 1717246 has been marked as a duplicate of this bug. ***

Comment 16 Sanket Jagtap 2019-09-05 14:33:25 UTC
Build: Satellite 6.6 snap 18 


1. Datacenter is in Folder on Vmware
2. Create a compute resource with the same datacenter
3. Create a imgae in compute resource
4. Provisioned a Image Based Box on Vmware compute
5. Provisioning was successful

2019-09-05T10:23:31 [I|app|f053f081] Processing by HostsController#compute_resource_selected as */*
2019-09-05T10:23:31 [I|app|f053f081]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"cW6mTBB2/oGHN3kG4Hbdwv31aeLInJSu4MmfuIewQ4XQxlRqHcgMfVpLCs7sCQgLlAwQSMXaPFqH+5V2e79+xw==", "host"=>{"name"=>"percy-hordge", "organization_id"=>"1", "location_id"=>"2", "hostgroup_id"=>"2", "compute_resource_id"=>"3", "content_facet_attributes"=>{"lifecycle_environment_id"=>"2", "content_view_id"=>"2", "content_source_id"=>"1", "kickstart_repository_id"=>"19"}, "ansible_role_ids"=>[""], "puppetclass_ids"=>[""], "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"percy-hordge", "domain_id"=>"1", "subnet_id"=>"2", "ip"=>"", "ip6"=>"", "managed"=>"1", "primary"=>"1", "provision"=>"1", "execution"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>""}}, "architecture_id"=>"1", "operatingsystem_id"=>"1", "provision_method"=>"build", "build"=>"1", "medium_id"=>"", "ptable_id"=>"98", "pxe_loader"=>"PXELinux BIOS", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"4-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"}, "media_selector"=>"synced_content", "fakepassword"=>"[FILTERED]"}
2019-09-05T10:23:31 [I|app|f053f081] Current user set to admin (admin)
2019-09-05T10:23:31 [I|app|32acda70] Started GET "/notification_recipients" for  at 2019-09-05 10:23:31 -0400
2019-09-05T10:23:31 [I|app|32acda70] Processing by NotificationRecipientsController#index as JSON
2019-09-05T10:23:31 [I|app|32acda70] Current user set to admin (admin)
2019-09-05T10:23:31 [I|app|32acda70] Completed 200 OK in 19ms (Views: 0.3ms | ActiveRecord: 3.2ms)
2019-09-05T10:23:31 [I|app|f053f081] Loaded compute resource data for folders in 0.138553839 seconds
<snip>
2019-09-05T10:24:24 [I|app|4e0000eb] Remove puppet certificate for percy-hordge
2019-09-05T10:24:26 [I|app|4e0000eb] Adding autosign entry for percy-hordge.
2019-09-05T10:24:26 [I|app|4e0000eb] About to start post launch script on percy-hordge.
2019-09-05T10:24:26 [I|app|4e0000eb] generating template to upload to percy-hordge.
2019-09-05T10:24:26 [I|app|72f44665] Started GET "/tasks/6aa6680b-6721-469d-a14d-8a9911a98c6f" for  at 2019-09-05 10:24:26 -0400

Comment 19 errata-xmlrpc 2019-10-22 12:47:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.